Audits permantly changing with foreman in cluster deployment

11/05/2019 02:36 PM - Alexandre Barth

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.23.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I use foreman in cluster mode with two nodes, foreman1.mydomain.com and foreman2.mydomain.com

foreman_url and unattended_url settings are set to http(s)://foreman.mydomain.com, wich is load balanced to

foreman1.mydomain.com and foreman2.mydomain.com servers.

In the audit page, every 30 mn entries are created for updated settings unattended_url and foreman_url :

Default http://foreman1.mydomain.com http://foreman2.mydomain.com

Default http://foreman2.mydomain.com http://foreman1.mydomain.com

etc ...

Audits page in foreman take minutes to load, have to manually clear these entries from non stop growing database.

History

#1 - 11/17/2019 09:56 AM - Tomer Brisker

- Category set to Audit Log

#2 - 04/02/2020 02:35 PM - Alexandre Barth

My bad, solved using cluster fqdn in --foreman-foreman-url foreman-installer parameter instead of --foreman-serveraliases

#3 - 04/02/2020 02:35 PM - Alexandre Barth

- Status changed from New to Resolved
